## php-codeigniter-framework 3.1.13%2Bdfsg1

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,\
dversionmangle=s/@DEB_EXT@//,\
oversionmangle=s/$/\+dfsg/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/bcit-ci/CodeIgniter \
refs/tags/?(\d.+) debian bash debian/repack.sh

## php-codeigniter-framework 3.1.13+dfsg1

=== user_guide_src/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/CodeIgniter.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/CodeIgniter.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/CodeIgniter"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/CodeIgniter"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
php-codeigniter-framework (3.1.13+dfsg1-7) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0 (no change required)
  * d/rules: check for 'nocheck' DEB_BUILD_OPTIONS
  * Add patches to fix tests when using phpunit 12.

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 26 Aug 2025 09:51:09 +0200

php-codeigniter-framework (3.1.13+dfsg1-6) unstable; urgency=medium

  * add patches to support PHP8.x for XMLRPC
  * add patch to fix php8.4 deprecation warnings in XMLRPC
  * add patch reinit_static_variable_when_switching_db_in_tests.patch

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 03 Feb 2025 12:20:00 +0100

php-codeigniter-framework (3.1.13+dfsg1-5) unstable; urgency=medium

  * add patches to support php 8.4
  * update php 8.4 patches to work on php < 7 as well

 -- Fab Stz <fabstz-it@yahoo.fr>  Sat, 07 Dec 2024 09:37:11 +0100

php-codeigniter-framework (3.1.13+dfsg1-4) unstable; urgency=medium

  * d/control: add build-dep to python3-setuptools (Closes: #1069803)

 -- Fab Stz <fabstz-it@yahoo.fr>  Sat, 27 Apr 2024 07:45:07 +0200

php-codeigniter-framework (3.1.13+dfsg1-3) unstable; urgency=medium

  [ Athos Ribeiro ]
  * fix FTBFS with Python 3.12 (Closes: #1061575)

  [ Fab Stz ]
  * fix FTBFS because of failing test with php 8.3 (Closes: #1061574)

 -- Fab Stz <fabstz-it@yahoo.fr>  Sat, 03 Feb 2024 21:53:51 +0100

php-codeigniter-framework (3.1.13+dfsg1-2) unstable; urgency=medium

  * update 10-php82_support-part2.patch using upstream implementation

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 20 Dec 2023 11:57:21 +0100

php-codeigniter-framework (3.1.13+dfsg1-1) unstable; urgency=medium

  * Initial release. Closes: #471583

 -- Fab Stz <fabstz-it@yahoo.fr>  Fri, 01 Sep 2023 13:20:35 -0400

=== debian/control ===
Source: php-codeigniter-framework
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Fab Stz <fabstz-it@yahoo.fr>
Build-Depends: debhelper-compat (= 13),
               dh-apache2,
               dh-sequence-phpcomposer,
               dh-sequence-sphinxdoc <!nodoc>,
               php-mikey179-vfsstream <!nocheck>,
               phpunit <!nocheck>,
               pkg-php-tools (>= 1.7~),
               python3-setuptools <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sphinxcontrib.phpdomain <!nodoc>,
               python3-venv <!nodoc>,
               python3-pip <!nodoc>,
Standards-Version: 4.7.0
Rules-Requires-Root: binary-targets
Homepage: https://codeigniter.com/
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-codeigniter-framework
Vcs-Git: https://salsa.debian.org/php-team/pear/php-codeigniter-framework.git

Package: php-codeigniter-framework
Architecture: all
Depends: libapache2-mod-php, ${misc:Depends}, ${phpcomposer:Debian-require}
Recommends: ${misc:Recommends}, ${phpcomposer:Debian-recommend}
Suggests: php-codeigniter-framework-doc, ${phpcomposer:Debian-suggest}
Conflicts: ${phpcomposer:Debian-conflict}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 CodeIgniter is an Application Development Framework - a toolkit - for people
 who build web sites using PHP. Its goal is to enable you to develop projects
 much faster than you could if you were writing code from scratch, by providing
 a rich set of libraries for commonly needed tasks, as well as a simple
 interface and logical structure to access these libraries. CodeIgniter lets
 you creatively focus on your project by minimizing the amount of code needed
 for a given task.

Package: php-codeigniter-framework-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: php-codeigniter-framework
Description: Documentation for CodeIgniter 3 Framework
 CodeIgniter is an Application Development Framework - a toolkit - for people
 who build web sites using PHP. Its goal is to enable you to develop projects
 much faster than you could if you were writing code from scratch, by providing
 a rich set of libraries for commonly needed tasks, as well as a simple
 interface and logical structure to access these libraries. CodeIgniter lets
 you creatively focus on your project by minimizing the amount of code needed
 for a given task.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with apache2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	cd tests && phpunit
endif

debian/build-doc/pythonvenv/bin/python:
	mkdir -p debian/build-doc/pythonvenv
	python3 -m venv --system-site-packages --without-pip debian/build-doc/pythonvenv

pycilexer: debian/build-doc/pythonvenv/bin/python
	if ! debian/build-doc/pythonvenv/bin/python -m pip show pycilexer; then \
	  echo "Installing pycilexer" && \
	  cd user_guide_src/cilexer && \
	  ../../debian/build-doc/pythonvenv/bin/python -m pip install .; \
	fi

ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)),)
execute_before_dh_installdocs: pycilexer
	make -C user_guide_src clean

	make -C user_guide_src html \
	 SPHINXBUILD="../debian/build-doc/pythonvenv/bin/python /usr/bin/sphinx-build" \
	 BUILDDIR=../debian/build-doc/user_guide \
	 SPHINXOPTS="-D version=$(DEB_VERSION_UPSTREAM) -D release=$(DEB_VERSION_UPSTREAM)"

	make -C user_guide_src text \
	  SPHINXBUILD="../debian/build-doc/pythonvenv/bin/python /usr/bin/sphinx-build" \
	  BUILDDIR=../debian/build-doc/user_guide \
	  SPHINXOPTS="-D version=$(DEB_VERSION_UPSTREAM) -D release=$(DEB_VERSION_UPSTREAM)"
endif

override_dh_compress:
	dh_compress -X usr/share/doc/php-codeigniter-framework/html

execute_after_dh_fixperms:
	chown www-data:www-data debian/php-codeigniter-framework/var/log/php-codeigniter-framework/

=== debian/tests/control ===
Test-Command: cd tests && phpunit
Restrictions: rw-build-tree, allow-stderr
Depends: php-mikey179-vfsstream, phpab, phpunit, pkg-php-tools, @
